
import java.io.*;

public class Pegar {
	public static void main(String [] args) throws IOException {
		if (args.length<2) {
			System.err.println("Uso: Pegar forig... fdest");
			return;
		}
		int numfent = args.length-1;
		InputStream  ent = null;
		OutputStream sal = null;

		try {

		    sal = new FileOutputStream(args[numfent]);

                    for (int i = 0; i < numfent; i++) {
			try {
			    ent = new FileInputStream(args[i]);
			    int car;
			    while ((car = ent.read()) != -1)
			        sal.write(car);
			    ent.close();
			}
			catch (FileNotFoundException e) {
				System.err.println("No existe el fichero "
					+ args[i]);
			}
		    }
			
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
		}
	}
}
